Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmTopicSupport

All Superinterfaces
  IAttachmentSupport, ICmForumItem, ICmItem

All Known Subinterfaces:
  ICmForum, ICmTopic

    public interface ICmTopicSupport

extends ICmForumItem, ICmItem

Field Summary
`static Key` | `DEEP_TOPIC_COUNT` Key representing the count of sub-topics.
`static int` | `KEYID_DEEP_TOPIC_COUNT` The `int` id for the `TOPIC_COUNT` key.
`static int` | `KEYID_TOPIC_COUNT` The `int` id for the `TOPIC_COUNT` key.
`static Key` | `TOPIC_COUNT` Key representing the count of sub-topics.

Fields inherited from interface com.compoze.collab.beacm.ICmForumItem
`AUTHOR, BODY, CONTENT_TYPE, DATE_CREATED, DATE_LAST_MODIFIED, KEYID_AUTHOR, KEYID_BODY, KEYID_CONTENT_TYPE, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_KEYWORDS, KEYID_MASK_AUTHOR, KEYWORDS, MASK_AUTHOR`

Fields inherited from interface com.compoze.collab.beacm.ICmItem
`ATTACHMENT_COUNT, KEYID_ATTACHMENT_COUNT, KEYID_OWNER, KEYID_VISIBILITY, OWNER, VISIBILITY`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`ICmTopic` | `addTopic(String sName)` Create a new topic and adds it as a child to this item
`int` | `getDeepTopicCount()` Gets the number of topics under this topic and under all topics below this one.
`int` | `getTopicCount()` Gets the number of topics immediately below this forum.

Methods inherited from interface com.compoze.collab.beacm.ICmForumItem
`getAuthor, getBody, getBodyContentType, getDateCreated, getDateLastModified, getKeywords, getMaskAuthor, getName, setAuthor, setBody, setKeywords, setMaskAuthor, setName`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_DEEP_TOPIC_COUNT

    static final int KEYID_DEEP_TOPIC_COUNT

  The `int` id for the `TOPIC_COUNT` key.

  See Also
    Constants Summary

### DEEP_TOPIC_COUNT

    static final Key DEEP_TOPIC_COUNT

  Key representing the count of sub-topics.

### KEYID_TOPIC_COUNT

    static final int KEYID_TOPIC_COUNT

  The `int` id for the `TOPIC_COUNT` key.

  See Also
    Constants Summary

### TOPIC_COUNT

    static final Key TOPIC_COUNT

  Key representing the count of sub-topics.

Method Detail

### addTopic

    ICmTopic addTopic(String sName)
                      throws CollaborationException

  Create a new topic and adds it as a child to this item

  Parameters
    `sName` - name of the new topic. Not `null`
  Throws
    `CollaborationException`

### getDeepTopicCount

    int getDeepTopicCount()
                          throws CollaborationException

  Gets the number of topics under this topic and under all topics below this one.

  Returns
    the number of topics
  Throws
    `CollaborationException` - if there was an error getting the number of topics

### getTopicCount

    int getTopicCount()
                      throws CollaborationException

  Gets the number of topics immediately below this forum.

  Returns
    the number of topics
  Throws
    `CollaborationException` - if there was an error getting the number of topics

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved